=== debian/changelog ===
golang-github-segmentio-encoding (0.5.3-2) unstable; urgency=medium

  [ Raul Tambre ]
  * Fetch all changes from tambre/debian/latest@b990f061 to include autopkgtest
    fixes that were actually done before the initial upload to Debian but
    missed as there was no automatic notification of them

  [ Otto Kekäläinen ]
  * Drop redundant `Priority: optional`
  * Bump Debian Policy version to 4.7.3
  * Update Debian copyright and add myself as uploader

 -- Otto Kekäläinen <otto@debian.org>  Wed, 11 Feb 2026 15:15:15 +0000

golang-github-segmentio-encoding (0.5.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1107562)

 -- Raul Tambre <raul@tambre.ee>  Mon, 22 Sep 2025 21:30:45 +0300
