=== debian/control ===
Source: golang-github-segmentio-encoding
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Raul Tambre <raul@tambre.ee>,
 Otto Kekäläinen <otto@debian.org>,
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-segmentio-encoding
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-segmentio-encoding.git
Homepage: https://github.com/segmentio/encoding
Standards-Version: 4.7.3
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/segmentio/encoding
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 architecture-is-64-bit,
 golang-any,
 golang-github-golang-protobuf-1-5-dev,
 golang-github-segmentio-asm-dev,
 golang-golang-x-sys-dev,
 native-architecture-is-amd64 [s390x],

Package: golang-github-segmentio-encoding-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-segmentio-asm-dev,
 ${misc:Depends},
Description: Encoders, decoders and validators for various data formats
 Includes Go packages for marshaling and unmarshaling data in various formats.
 The focus is on providing high performance, very low development and
 maintenance overhead APIs that can be used as drop-in replacements for the
 default solutions.
