=== debian/rules ===
#!/usr/bin/make -rf
include /usr/share/dpkg/pkg-info.mk

export DH_GOLANG_EXCLUDES := proto/fixtures/generate
export DH_GOLANG_INSTALL_EXTRA := proto/fixtures/protobuf

%:
	dh $@ --builddirectory=_build
