=== debian/watch ===
Version: 5
Mode: git
Source: https://github.com/segmentio/encoding.git
Matching-Pattern: refs/tags/v@ANY_VERSION@
